Register Issuer
Registers a business that issues tax invoices and returns its issuerId.
POST
/
v1
/
issuers
Register Issuer
curl --request POST \
--url https://xapi.bolta.io/v1/issuers \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"identificationNumber": "1234567890",
"organizationName": "<string>",
"representativeName": "<string>",
"taxRegistrationId": "0001"
}
'import requests
url = "https://xapi.bolta.io/v1/issuers"
payload = {
"identificationNumber": "1234567890",
"organizationName": "<string>",
"representativeName": "<string>",
"taxRegistrationId": "0001"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identificationNumber: '1234567890',
organizationName: '<string>',
representativeName: '<string>',
taxRegistrationId: '0001'
})
};
fetch('https://xapi.bolta.io/v1/issuers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://xapi.bolta.io/v1/issuers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identificationNumber' => '1234567890',
'organizationName' => '<string>',
'representativeName' => '<string>',
'taxRegistrationId' => '0001'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://xapi.bolta.io/v1/issuers"
payload := strings.NewReader("{\n \"identificationNumber\": \"1234567890\",\n \"organizationName\": \"<string>\",\n \"representativeName\": \"<string>\",\n \"taxRegistrationId\": \"0001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://xapi.bolta.io/v1/issuers")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"identificationNumber\": \"1234567890\",\n \"organizationName\": \"<string>\",\n \"representativeName\": \"<string>\",\n \"taxRegistrationId\": \"0001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://xapi.bolta.io/v1/issuers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identificationNumber\": \"1234567890\",\n \"organizationName\": \"<string>\",\n \"representativeName\": \"<string>\",\n \"taxRegistrationId\": \"0001\"\n}"
response = http.request(request)
puts response.read_body{
"issuerId": "<string>",
"identificationNumber": "1234567890",
"taxRegistrationId": "0001",
"organizationName": "<string>",
"representativeName": "<string>",
"certificate": {
"issuedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}
}{
"code": "<string>",
"message": "<string>",
"traceId": "<string>"
}Authorizations
Body
application/json
Issuer registration request body
Response
Issuer registered
Registered issuer and certificate status
Register Issuer
curl --request POST \
--url https://xapi.bolta.io/v1/issuers \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"identificationNumber": "1234567890",
"organizationName": "<string>",
"representativeName": "<string>",
"taxRegistrationId": "0001"
}
'import requests
url = "https://xapi.bolta.io/v1/issuers"
payload = {
"identificationNumber": "1234567890",
"organizationName": "<string>",
"representativeName": "<string>",
"taxRegistrationId": "0001"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identificationNumber: '1234567890',
organizationName: '<string>',
representativeName: '<string>',
taxRegistrationId: '0001'
})
};
fetch('https://xapi.bolta.io/v1/issuers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://xapi.bolta.io/v1/issuers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identificationNumber' => '1234567890',
'organizationName' => '<string>',
'representativeName' => '<string>',
'taxRegistrationId' => '0001'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://xapi.bolta.io/v1/issuers"
payload := strings.NewReader("{\n \"identificationNumber\": \"1234567890\",\n \"organizationName\": \"<string>\",\n \"representativeName\": \"<string>\",\n \"taxRegistrationId\": \"0001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://xapi.bolta.io/v1/issuers")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"identificationNumber\": \"1234567890\",\n \"organizationName\": \"<string>\",\n \"representativeName\": \"<string>\",\n \"taxRegistrationId\": \"0001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://xapi.bolta.io/v1/issuers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identificationNumber\": \"1234567890\",\n \"organizationName\": \"<string>\",\n \"representativeName\": \"<string>\",\n \"taxRegistrationId\": \"0001\"\n}"
response = http.request(request)
puts response.read_body{
"issuerId": "<string>",
"identificationNumber": "1234567890",
"taxRegistrationId": "0001",
"organizationName": "<string>",
"representativeName": "<string>",
"certificate": {
"issuedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}
}{
"code": "<string>",
"message": "<string>",
"traceId": "<string>"
}